Bug 459073 - Review Request: iok - Indic onscreen virtual keyboard
Review Request: iok - Indic onscreen virtual keyboard
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jens Petersen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-14 06:05 EDT by Parag AN(पराग)
Modified: 2008-09-11 13:02 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-11 13:02:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
petersen: fedora‑review+
petersen: fedora‑cvs+


Attachments (Terms of Use)
iok.spec-1.patch (997 bytes, patch)
2008-09-04 02:40 EDT, Jens Petersen
no flags Details | Diff

  None (edit)
Description Parag AN(पराग) 2008-08-14 06:05:21 EDT
Spec URL: http://paragn.fedorapeople.org/iok/iok.spec
SRPM URL: http://paragn.fedorapeople.org/iok/iok-1.0.7-2.svn9.fc9.src.rpm
Description: iok is Indic Onscreen Keyboard. This package gives virtual Keyboard functionality. 
It currently works with Inscript keymaps for Indian languages. iok can even try 
to parse non-inscript keymaps and show them in iok.
Comment 1 Parag AN(पराग) 2008-08-14 06:08:14 EDT
koji build => http://koji.fedoraproject.org/koji/taskinfo?taskID=777244
Comment 2 Parag AN(पराग) 2008-08-14 06:37:16 EDT
updated package 
Spec URL: http://paragn.fedorapeople.org/iok/iok.spec
SRPM URL: http://paragn.fedorapeople.org/iok/iok-1.0.7-3.svn9.fc9.src.rpm

%changelog
* Thu Aug 14 2008 Parag Nemade <panemade@gmail.com>- 1.0.7-3.svn9
- fix directory ownership
Comment 3 Jens Petersen 2008-08-21 02:43:37 EDT
Thanks for the submission. :)

I did some testing.  And here are some comments and thoughts:

- really like the compact size now
- it seems to segfault when loading some maps, which is not nice
  (would be nice if it only displayed the dialog for those cases)
- would be nice to have a toggle button between English and native input
- I think it would be better to hide the menu bar (at least the Save and modify entries
  by default)
Comment 4 Jens Petersen 2008-08-21 03:36:47 EDT
(BTW how about using "make dist" to generate the tarballs?)

Otherwise the package looks pretty fine to me.
Comment 5 Parag AN(पराग) 2008-09-02 03:27:21 EDT
Jens,
Thanks for your suggestions. Here is updated package
Spec URL: http://paragn.fedorapeople.org/iok/iok.spec
SRPM URL: http://paragn.fedorapeople.org/iok/iok-1.0.8-1.fc9.src.rpm

Koji build => 
http://koji.fedoraproject.org/koji/taskinfo?taskID=799289
Comment 6 Jens Petersen 2008-09-03 03:18:02 EDT
smalls things but better to use %configure if possible. :)
Comment 7 Parag AN(पराग) 2008-09-03 09:45:46 EDT
updated SPEC and SRPM at same location.
Spec URL: http://paragn.fedorapeople.org/iok/iok.spec
SRPM URL: http://paragn.fedorapeople.org/iok/iok-1.0.8-1.fc9.src.rpm

I don't think I should increase release for such minor change.
Comment 8 Jens Petersen 2008-09-04 02:39:09 EDT
Thanks.  Here is the review:

 +:ok, =:needs attention

MUST Items:
[+] MUST: rpmlint must be run on every package. The output should be posted in the review.
[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}
[+] MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.
[+] MUST: The License field in the package spec file must match the actual license.
[+] MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[=] MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use md5sum for this task.
2bd14a41a710f8c91fd994df6322d748  iok-1.0.8.tar.gz

- Please provide the URL to the source tarball.

[+] MUST: The package must successfully compile and build into binary rpms on at least one supported architecture.
[+] MUST: All build dependencies must be listed in BuildRequires
[+] MUST: A package must own all directories that it creates.
[+] MUST: A package must not contain any duplicate files in the %files listing.
[+] MUST: Permissions on files must be set properly.
[+] MUST: Each package must have a %clean section
[+] MUST: Each package must consistently use macros
[+] MUST: The package must contain code, or permissable content.
[+] MUST: If a package includes something as %doc, it must not affect the runtime of the application.
[+] MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section.
[+] MUST: Packages must not own files or directories already owned by other packages.
[+] MUST: At the beginning of %install, each package MUST run rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
[+] MUST: All filenames in rpm packages must be valid UTF-8.

SHOULD Items:
[+] SHOULD: The reviewer should test that the package builds in mock.
[+] SHOULD: The reviewer should test that the package functions as described.


Package is APPROVED, after adding the missing source url.
Comment 9 Jens Petersen 2008-09-04 02:40:32 EDT
Created attachment 315721 [details]
iok.spec-1.patch

suggestion for improving the description
Comment 10 Parag AN(पराग) 2008-09-04 03:32:34 EDT
Jens,
Thanks for your suggestions. Here is updated package
Spec URL: http://paragn.fedorapeople.org/iok/iok.spec
SRPM URL: http://paragn.fedorapeople.org/iok/iok-1.0.8-2.fc9.src.rpm

Koji build => 
http://koji.fedoraproject.org/koji/taskinfo?taskID=805828
Comment 11 Parag AN(पराग) 2008-09-04 03:42:10 EDT
New Package CVS Request
=======================
Package Name: iok
Short Description: Indic onscreen virtual keyboard
Owners: pnemade
Branches: F-9
InitialCC: petersen
Comment 12 Jens Petersen 2008-09-05 03:00:09 EDT
cvs admin done
Comment 13 Parag AN(पराग) 2008-09-05 03:30:15 EDT
Package Change Request
======================
Package Name: iok
New Branches: EL-5
Comment 14 Jens Petersen 2008-09-05 03:44:05 EDT
added
Comment 15 Parag AN(पराग) 2008-09-05 03:46:44 EDT
Jens,
Thanks for review and cvs.
Comment 16 Fedora Update System 2008-09-08 00:35:53 EDT
iok-1.0.8-2.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/iok-1.0.8-2.fc9
Comment 17 Tony Fu 2008-09-09 23:13:31 EDT
requested by Jens Petersen (#27995)
Comment 18 Fedora Update System 2008-09-11 13:02:53 EDT
iok-1.0.8-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.